' Open the chromatogram Result table exported from Clarity
' Author: Petr Kohutek 2009
' Prerequisites:
' exported-chromatogram.xls - it contains macros, that will be used to format the exported data and add custom calculations
' Clarity: Export Data - all checkboxes unchecked except for:  Result Table, Fixed Format, Table Headers, Text File, (Delimited by TAB)
' Batch dialog: Export data, Only with export, 
'      Run program: wscript.exe <full path>OpenChromatogram.vbs 
'      Parameters: %e
' 
Dim sCurPath
' sCurPath = CreateObject("Scripting.FileSystemObject").GetAbsolutePathName(".")
sCurPath = Replace(WScript.ScriptFullName, WScript.ScriptName, "")
Set xlObj = CreateObject("Excel.application")
xlObj.Workbooks.Open sCurPath + "\exported-chromatogram.xls"
xlObj.worksheets("Service").range("B1").Value = sCurPath + "\empty.txt"
If Wscript.Arguments.Count > 0 Then
	xlObj.worksheets("Service").range("B1").Value = Wscript.Arguments(0)
End If
xlObj.Run "OpenExportedChromatogram"
xlObj.visible = true
' xlObj.ActiveWorkbook.Close False ' umozni zavreni bez ulozeni zmen
' xlObj.ActiveWindow.Close
'xlObj.Quit
